# Uses of Enum Class
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy

Packages that use DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy
Modifier and Type
Method
Description
`static DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy`
DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy[]`
DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.emf.spi.cdo with parameters of type DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy
Modifier
Constructor
Description
`protected`
`ManyValued(DefaultCDOMerger.ResolutionPreference resolutionPreference, DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy occurrenceConflictPolicy, DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy orderingPolicy, DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy duplicateResolutionPolicy, DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy clearSemanticPolicy, DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy unsetSemanticPolicy)`
Creates an immutable semantic-policy profile for an extender without adding mutable global configuration.